xcb_randr_set_screen_size(3)

NAME
xcb_randr_set_screen_size -

SYNOPSIS
#include <xcb/randr.h>

  Request function

xcb_void_cookie_t xcb_randr_set_screen_size(xcb_connection_t *conn, xcb_window_t window, uint16_t width, uint16_t height, uint32_t mm_width, uint32_t mm_height);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

mm_width
    TODO: NOT YET DOCUMENTED.

mm_height
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_randr_set_screen_size_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from randr.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.